//*****************************
//* akStreetFightAI - AI script
//* Created by AK, ZeroDexter
//* 2003-1-2 to 2003-1-18
//*****************************


rule akHeroScout
   minInterval 5
   maxInterval 10
   active
{
   // wait for the scenario to initialize
   if (xsGetTime() < 25000)
      return;


   aiEcho("Scouting with hero.");

   int scoutPlan = aiPlanCreate("Explore_akStreetFight", cPlanExplore);
//   int scoutPlan = aiPlanGetID("Explore");
   if (scoutPlan >= 0)
   {
      if (kbGetCulture() == cCultureGreek)
        aiPlanAddUnitType(scoutPlan, cUnitTypeArkantos, 1, 1, 1);
      else if (kbGetCulture() == cCultureEgyptian)
        aiPlanAddUnitType(scoutPlan, cUnitTypeAmanra, 1, 1, 1);
      else if (kbGetCulture() == cCultureNorse)
        aiPlanAddUnitType(scoutPlan, cUnitTypeReginleif, 1, 1, 1);
      aiPlanSetActive(scoutPlan);

      xsDisableSelf();
    }
}

include "AOMDefaultAI.xs";


